#!/bin/bash -f
#   ============================================================================
#   @file   dsplinkenv.bash
#
#   @path   $(DSPLINK)/etc/host/scripts/Linux/
#
#   @desc   Sets the necessary environment for DSP/BIOS(TM) Link development.
#
#   @ver    1.65.00.03
#   ============================================================================
#   Copyright (C) 2002-2009, Texas Instruments Incorporated -
#   http://www.ti.com/
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions
#   are met:
#   
#   *  Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#   
#   *  Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the following disclaimer in the
#      documentation and/or other materials provided with the distribution.
#   
#   *  Neither the name of Texas Instruments Incorporated nor the names of
#      its contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
#   
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#   OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#   OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#   EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#   ============================================================================





#   ----------------------------------------------------------------------------
#   @name   DSPLINK
#
#   @desc   Root directory of DSP/BIOS LINK.
#   ----------------------------------------------------------------------------
export DSPLINK=$HOME/dsplink_1_65_00_03/dsplink


#   ----------------------------------------------------------------------------
#   @name   PATH
#
#   @desc   Appends the path to the host scripts
#   ----------------------------------------------------------------------------

export PATH=$PATH:$DSPLINK/etc/host/scripts/Linux



echo "==========================================================="

echo "The environment for DSP/BIOS LINK development has been set:"

echo "DSPLINK  =" $DSPLINK

echo "PATH    +=" $DSPLINK"/etc/host/scripts/Linux"

echo "==========================================================="

